import * as React from 'react';
import {
  BaseProgress,
  type BaseProgressProps,
  baseProgressVariants,
} from './BaseProgress';
import { CircularProgress } from './CircularProgress';

import { cn } from '../..';

import styles from './Progress.module.css';

export type ProgressProps = BaseProgressProps & {};

export const progressVariants = baseProgressVariants;

export function Progress(props: ProgressProps) {
  return (
    <BaseProgress
      className={cn(styles.Progress, progressVariants)}
      {...props}
    />
  );
}

export { CircularProgress };
